with GNAT.IO; use GNAT.IO;
with Gen;
package body Pkg2 is

   package Impl is new Gen;

   procedure Execute is
   begin
      Impl.Execute;
      Put_Line ("Pkg2.Execute");
   end Execute;
end Pkg2;

